<?php

namespace Teknisa\DF\Controllers;

use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Row;
use Zeedhi\Framework\DataSource\DataSet;


class Ger97500TipoOpercaoCfopController extends \Teknisa\DF\Controllers\TeknisaCrud {
	protected $dataSourceName = '';
	protected $dataSourceToSave = '';
	protected $parameterBagColumns = array();
	protected $ger97500TipoOpercaoCfopService;

	public function __construct($crudService, $parameterBag,$ger97500TipoOpercaoCfopService) {
        parent::__construct($crudService, $parameterBag);
        $this->ger97500TipoOpercaoCfopService = $ger97500TipoOpercaoCfopService;
 	}

	public function findCfopPadrao(DTO\Request\Filter $request, DTO\Response $response) {
		$this->dataSourceName = 'cdcfoppadrao_condicaobusca';
        $this->parameterBagColumns = array("P_CDCFOPPADR");
	    parent::find($request,$response);
    }

    public function findTpopercfopexcp(DTO\Request\Filter $request, DTO\Response $response) {
		$this->dataSourceName = 'tpopercfopexcp_produto_tipooperac';
        $this->parameterBagColumns = array("P_IDENTRSAIDOP","P_CDTIPOOPER","P_CDFISCOPER");
	    parent::find($request,$response);
    }

    public function findProduto(DTO\Request\Filter $request, DTO\Response $response) {
		$this->dataSourceName = 'condicaoproduto_tpopercfopexcp';
        $this->parameterBagColumns = array("");
	    parent::find($request,$response);
    }

    public function deleteProduto(DTO\Request $request, DTO\Response $response){
		$this->dataSourceName = 'tpopercfopexcp_produto_tipooperac';
		parent::delete($request,$response);
    }

    public function saveProduto(DTO\Request $request, DTO\Response $response) {
		$this->dataSourceName = 'tpopercfopexcp_produto_tipooperac';
		$this->dataSourceToSave = 'tpopercfopexcp_produto_tipooperac';
		parent::save($request,$response);
	}
	public function deleteTpopercfop(DTO\Request $request, DTO\Response $response){
		$this->ger97500TipoOpercaoCfopService->deletar($request->getRow());
	}

}